Name:       hindi-typing-booster
Version:    0.0.1
Release:    3%{?dist}
Summary:    Hindi Typing Booster Table for IBus Indic Tables
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch
Patch1: bug-718626.patch
Patch2: bug-742862.patch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table

%description
Hindi Typing Booster Package contains tables contrain inscript \
and phonetic engines

%prep
%setup -q
%patch1 -p1 -b .1-updated-locale-name
%patch2 -p1 -b .2-symbol-tag

%build
%configure \
  --enable-hindi-phonetic \
  --enable-hindi-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n hindi-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n hindi-inscript.db


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/hindi.svg
%{_datadir}/ibus-indic-table/indic-tables/hindi-phonetic.db
%{_datadir}/ibus-indic-table/indic-tables/hindi-inscript.db

%changelog
* Mon Oct 03 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- Resolved bug 742862

* Mon Jul 04 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- Resolved bug 718626

* Thu Mar 10 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Hindi Phonetic
- Added Hindi Inscript
